Package org.opengis.cite.wms13

# Class WMS13

java.lang.Object
org.opengis.cite.wms13.WMS13

public class WMS13 extends Object
Contains various constants defined in the WMS 1.3 specification, such as test run parameters.

See Also:
  - "OGC 06-042: OpenGIS Web Map Server Implementation Specification, Version 1.3.0"

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `static final String`
  `BASIC`
  Run tests for Basic WMS conformance (Boolean)
  `static final String`
  `CAPABILITIES_URL`
  Supplies reference to WMS capabilities document (URI).
  `static final String`
  `HIGH_UPDATESEQ`
  A version that is higher than the latest version.
  `static final String`
  `LOW_UPDATESEQ`
  A version that is lower than the latest version.
  `static final String`
  `QUERYABLE`
  Run tests for Queryable WMS conformance (Boolean)
  `static final String`
  `RASTER_ELEV`
  Run tests for the elevation dimension using raster data (Boolean).
  `static final String`
  `RECOMMENDED`
  Run tests for recommended constraints (Boolean).
  `static final String`
  `TIME`
  Run tests for the temporal dimension (Boolean).
  `static final String`
  `UPDATESEQ`
  Test versioning of capabilities document ("auto"|"manual").
  `static final String`
  `VECTOR_ELEV`
  Run tests for the elevation dimension using vector data (Boolean).

- ## Method Summary

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Field Details

  - ### CAPABILITIES_URL

    public static final String CAPABILITIES_URL
    Supplies reference to WMS capabilities document (URI).
    See Also:
      - Constant Field Values

  - ### UPDATESEQ

    public static final String UPDATESEQ
    Test versioning of capabilities document ("auto"|"manual").
    See Also:
      - Constant Field Values

  - ### HIGH_UPDATESEQ

    public static final String HIGH_UPDATESEQ
    A version that is higher than the latest version.
    See Also:
      - Constant Field Values

  - ### LOW_UPDATESEQ

    public static final String LOW_UPDATESEQ
    A version that is lower than the latest version.
    See Also:
      - Constant Field Values

  - ### BASIC

    public static final String BASIC
    Run tests for Basic WMS conformance (Boolean)
    See Also:
      - Constant Field Values

  - ### QUERYABLE

    public static final String QUERYABLE
    Run tests for Queryable WMS conformance (Boolean)
    See Also:
      - Constant Field Values

  - ### RASTER_ELEV

    public static final String RASTER_ELEV
    Run tests for the elevation dimension using raster data (Boolean).
    See Also:
      - Constant Field Values

  - ### VECTOR_ELEV

    public static final String VECTOR_ELEV
    Run tests for the elevation dimension using vector data (Boolean).
    See Also:
      - Constant Field Values

  - ### TIME

    public static final String TIME
    Run tests for the temporal dimension (Boolean).
    See Also:
      - Constant Field Values

  - ### RECOMMENDED

    public static final String RECOMMENDED
    Run tests for recommended constraints (Boolean).
    See Also:
      - Constant Field Values